Package: groovy.lang

## [Java] Class Tuple<E>

- groovy.lang.Tuple

- All Implemented Interfaces and Traits:
    Serializable

      public class Tuple
      extends AbstractList

  Represents a list of Objects.

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple (E... contents)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `equals(Object o)`
    `` | `E` | `get(int index)`
    `` | `int` | `hashCode()`
    `` | `int` | `size()`
    `` | `List<E>` | `subList(int fromIndex, int toIndex)`
    `` | `Tuple<E>` | `subTuple(int fromIndex, int toIndex)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractList` | `add, add, remove, get, equals, hashCode, indexOf, clear, iterator, lastIndexOf, subList, addAll, set, listIterator, listIterator, remove, toString, contains, isEmpty, size, toArray, toArray, addAll, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, stream, removeIf, parallelStream, forEach, replaceAll, size, spliterator, sort`
    `class AbstractCollection` | `add, remove, toString, clear, contains, isEmpty, iterator, size, toArray, toArray, addAll, containsAll, removeAll, retainAll, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll, spliterator, stream, removeIf, parallelStream, forEach`

- - ### Constructor Detail

    - #### public Tuple(E... contents)

  - ### Method Detail

    - #### @Override public boolean equals(Object o)

    - #### @Override public E get(int index)

    - #### @Override public int hashCode()

    - #### @Override public int size()

    - #### @SuppressWarnings("unchecked") @Override public List<E> subList(int fromIndex, int toIndex)

    - #### public Tuple<E> subTuple(int fromIndex, int toIndex)